## jansi-native 1.0

=== debian/changelog ===
jansi-native (1.0-4) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - update Description (Closes: #708291)
    - remove DMUA flag
    - bump Standards-Version to 3.9.5 (no changes)
    - update Vcs- fields to canonical URLs

 -- tony mancill <tmancill@debian.org>  Mon, 23 Dec 2013 21:56:06 -0800

jansi-native (1.0-3) unstable; urgency=low

  * Team upload.
  * Add Maven artifacts. Thanks to James Page for supplying the patch.
    (Closes: #635027)

 -- Torsten Werner <twerner@debian.org>  Sat, 30 Jul 2011 19:07:15 +0200

jansi-native (1.0-2) unstable; urgency=low

  * Update watch file.
  * Remove dependency on default-jre-headless in order to comply with
    Debian Java policy. (Closes: #618298).

 -- Miguel Landaeta <miguel@miguel.cc>  Mon, 21 Mar 2011 19:23:31 -0430

jansi-native (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #591727),

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 05 Aug 2010 20:43:19 -0430
