=== debian/control ===
Source: jansi-native
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>
Build-Depends: debhelper (>= 7.0.50~),
 default-jdk,
 javahelper,
 libhawtjni-runtime-java,
 maven-repo-helper
Standards-Version: 3.9.5
Homepage: http://jansi.fusesource.org/
Vcs-Git: git://anonscm.debian.org/pkg-java/jansi-ansi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jansi-native.git

Package: libjansi-native-java
Architecture: all
Depends: libhawtjni-runtime-java, ${misc:Depends}
Description: Java library for ANSI escape sequences - native component
 Jansi is a small java library that allows you to use ANSI escape
 sequences to format console output across all platforms.
 .
 jansi-native implements the native libraries used by the Jansi project.
