=== debian/watch ===
version=3
http://repo1.maven.org/maven2/org/fusesource/jansi/jansi-native/ \
(1[0-9\.]*)/ \
debian debian/orig-tar.sh
