## jansi-native 1.6

=== debian/changelog ===
jansi-native (1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6. (Closes: #617875)
  * Switch to compat level 10.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs fields: Use cgit and https.
  * Switch from Ant to Maven build system.
  * Remove clean file.
  * Update debian/watch and track releases at github.com.
  * Add maven specific Debian files and update build-dependencies.
  * Use --no-parent option.
  * Update debian/copyright and switch to copyright format 1.0.

 -- Markus Koschany <apo@debian.org>  Wed, 19 Oct 2016 19:21:36 +0200
