=== debian/control ===
Source: jansi-native
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Miguel Landaeta <miguel@miguel.cc>
Build-Depends:
 debhelper (>= 10),
 default-jdk,
 libhawtjni-runtime-java,
 maven-debian-helper,
 libmaven-bundle-plugin-java,
 libmaven-plugin-tools-java
Standards-Version: 3.9.8
Homepage: http://jansi.fusesource.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-java/jansi-ansi.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jansi-native.git

Package: libjansi-native-java
Architecture: all
Depends:
 ${maven:Depends},
 ${misc:Depends}
Recommends:
 ${maven:OptionalDepends}
Description: Java library for ANSI escape sequences - native component
 Jansi is a small java library that allows you to use ANSI escape
 sequences to format console output across all platforms.
 .
 jansi-native implements the native libraries used by the Jansi project.
