## jansi-native 1.7

=== debian/changelog ===
jansi-native (1.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.7.
  * Declare compliance with Debian Policy 4.0.0.
  * Fix Vcs-Git address.
  * Use https for Format field.
  * Change copyright holder to the original authors according to the sources.

 -- Markus Koschany <apo@debian.org>  Wed, 12 Jul 2017 09:20:08 +0200
