=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
  maven-debian-helper,
  libmaven-bundle-plugin-java,
  libmaven-plugin-tools-java
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://jansi.fusesource.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/jansi-ansi.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/jansi-native.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jansi-native.git
 
 Package: libjansi-native-java
