## jansi-native 1.8

=== src/main/native-package/src/windows/Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
-# Copyright (C) 2013, Red Had, Inc. and/or its 
-# subsidiaries or affiliates.  All rights reserved.
+# Copyright (C) 2013-2017 the original author(s).
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -323,7 +322,9 @@
 OBJECTS = \
 	$(WORKDIR)\hawtjni.obj \
 	$(WORKDIR)\jansi.obj \
-	$(WORKDIR)\jansi_stats.obj \
+	$(WORKDIR)\jansi_isatty.obj \
+    $(WORKDIR)\jansi_ttyname.obj \
+    $(WORKDIR)\jansi_stats.obj \
 	$(WORKDIR)\jansi_structs.obj
 
 BUILDDLL = $(WORKDIR)\$(PROJECT).dll
