=== debian/control ===
Source: jansi-native
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 libhawtjni-runtime-java,
 maven-debian-helper,
 libmaven-bundle-plugin-java
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/java-team/jansi-native.git
Vcs-Browser: https://salsa.debian.org/java-team/jansi-native
Homepage: https://fusesource.github.io/jansi/
Rules-Requires-Root: no

Package: libjansi-native-java
Architecture: all
Depends:
 ${maven:Depends},
 ${misc:Depends}
Recommends:
 ${maven:OptionalDepends}
Description: Java library for ANSI escape sequences - native component
 Jansi is a small java library that allows you to use ANSI escape
 sequences to format console output across all platforms.
 .
 jansi-native implements the native libraries used by the Jansi project.
