=== debian/watch ===
version=4
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
https://github.com/fusesource/jansi-native/tags \
.*/archive/refs/tags/(?:upstream/)?(?:v||version-|release-|X|R|r)jansi-native-@ANY_VERSION@\.tar\.gz
